# Retrieve all Domains

To retrieve all domains, perform a `GET` request.

## Endpoint

Use the following endpoint to retrieve an IDP: `https://iam.ionos.com/federation/domains`.

## Request

```bash
curl --location \
--request GET 'https://iam.ionos.com/federation/domains' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO' \
--header 'Content-Type: application/json'
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Header Parameters** | **Required** | **Type** | **Description**                                                                                                                                                                                                                                                                 |
| --------------------- | :----------: | :------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`       |      yes     |  string  | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). From the DCD, [<mark style="color:blue;">Generate authentication token</mark>](/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager.md#generate-authentication-token). |
| `Content-Type`        |      yes     |  string  | Set this to `application/json`.                                                                                                                                                                                                                                                 |
| {% endtab %}          |              |          |                                                                                                                                                                                                                                                                                 |
| {% endtabs %}         |              |          |                                                                                                                                                                                                                                                                                 |

## Response

**200 Successful operation**

```bash
{
  "id": "7d4a3d9d-033d-5794-99e6-d5cfa9516fc4",
  "type": "collection",
  "href": "/domains",
  "items":[
    {
      "id": "f181c212-34f1-5843-9bbb-fc2531c7d928",
      "type": "domain",
      "href": "/domains/f181c212-34f1-5843-9bbb-fc2531c7d928",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "account": 123456
      },
      "properties": {
        "domain": "yourcompany.com",
        "status": "REQUESTED",
        "message": "The token provided should be added to the TXT Domain Record, then request to verify the ownership. Important: This is the only time the token will be visible to you, so please take note of it now."
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/retrieve-all-domains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
